<div *ngIf="!user">
  <mat-spinner></mat-spinner>
</div>

<mat-card *ngIf="user">
  <mat-card-header>
    <mat-icon mat-card-avatar svgIcon="{{user.avatar}}"></mat-icon>
    <mat-card-title>
      {{user.name}}
    </mat-card-title>
    <mat-card-subtitle>
      Birthday {{user.birthDate | date:'d LLLL'}}
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <mat-tab-group>
      <mat-tab label="Bio">
        <p>
          {{user.bio}}
        </p>
      </mat-tab>
      <mat-tab label="Notes">
        <app-notes [notes]="user.notes"></app-notes>
      </mat-tab>
    </mat-tab-group>

  </mat-card-content>
</mat-card>
